uni.$u.http.setConfig((config) => {
	/* config 为默认全局配置*/
	config.baseURL = process.uniEnv.appBaseUrl; /* 根域名 */
	return config
})

uni.$u.http.interceptors.request.use((config) => { // 可使用async await 做异步操作
	config.header = {
		...config.header,
		// a: 1 // 演示拦截器header加参
	}
	return config
}, config => { // 可使用async await 做异步操作
	return Promise.reject(config)
})

uni.$u.http.interceptors.response.use((response) => {
	console.log(response)
	if (response.data.code == 200)
		return response.data.data
	else {
		uni.showToast({
			title: response.data.msg,
			image:require("@/static/fail.png"),
			duration:1000,
		})
		return response.data.data
	}
}, (response) => {
	uni.showToast({
		title: response.data.message,
		image:require("@/static/fail.png"),
		duration:1000,
	})
	return Promise.reject(response)
})